## org.firebirdsql.gds.impl.wire
Class isc_blob_handle_impl

    java.lang.Object
      org.firebirdsql.gds.impl.wire.isc_blob_handle_impl

All Implemented Interfaces:
  IscBlobHandle

    public final class isc_blob_handle_impl

extends Object
implements IscBlobHandle

Describe class `isc_blob_handle_impl` here.

Version:
  1.0
Author:
  David Jencks

Method Summary
`long` `getBlobId()` Get the identifier for the blob to which this handle is linked.
`isc_db_handle_impl` `getDb()`
`int` `getPosition()`
`int` `getRbl_id()`
`isc_tr_handle_impl` `getTr()`
`boolean` `isEof()` Retrieve whether the `EOF` has been reached with this blob.
`void` `rbl_flagsAdd(int value)`
`void` `rbl_flagsRemove(int value)`
`void` `setBlobId(long value)` Set the identifier for the blob to which this handle is linked.
`void` `setDb(isc_db_handle_impl value)`
`void` `setPosition(int position)`
`void` `setRbl_id(int value)`
`void` `setTr(isc_tr_handle_impl value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTr

    public isc_tr_handle_impl getTr()

### setTr

    public void setTr(isc_tr_handle_impl value)

### getDb

    public isc_db_handle_impl getDb()

### setDb

    public void setDb(isc_db_handle_impl value)

### getBlobId

    public long getBlobId()

  Description copied from interface: `IscBlobHandle`
  Get the identifier for the blob to which this handle is linked.

  Specified by:
    `getBlobId` in interface `IscBlobHandle`
  Returns:
    identifier for the blob

### setBlobId

    public void setBlobId(long value)

  Description copied from interface: `IscBlobHandle`
  Set the identifier for the blob to which this handle is linked.

  Specified by:
    `setBlobId` in interface `IscBlobHandle`
  Parameters:
    `value` - The identifier to be set

### getRbl_id

    public int getRbl_id()

### setRbl_id

    public void setRbl_id(int value)

### rbl_flagsAdd

    public void rbl_flagsAdd(int value)

### rbl_flagsRemove

    public void rbl_flagsRemove(int value)

### getPosition

    public int getPosition()

### setPosition

    public void setPosition(int position)

### isEof

    public boolean isEof()

  Description copied from interface: `IscBlobHandle`
  Retrieve whether the `EOF` has been reached with this blob.

  Specified by:
    `isEof` in interface `IscBlobHandle`
  Returns:
    `true` if `EOF` has been reached, `false` otherwise

Copyright © 2001-2010. All Rights Reserved.